Name:           perl-SVG-Graph
Version:        0.02
Release:        5%{?dist}
Summary:        Visualize your data in Scalable Vector Graphics (SVG) format
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVG-Graph/
Source0:        http://www.cpan.org/modules/by-module/SVG/SVG-Graph-%{version}.tar.gz
Source1:        LICENSE.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(SVG) >= 2.27
BuildRequires:  perl(Statistics::Descriptive) >= 2.6
BuildRequires:  perl(Tree::DAG_Node) >= 1.04
BuildRequires:  perl(Math::Derivative)
BuildRequires:  perl(Math::Spline)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Tree::DAG_Node)

%description
SVG::Graph is a suite of perl modules for plotting data. SVG::Graph
currently supports plots of one-, two- and three-dimensional data, as well
as N-ary rooted trees.

%prep
%setup -q -n SVG-Graph-%{version}
cp %{SOURCE1} .

# remove all execute bits from eg subdirectory
find eg -type f -exec chmod -x {} 2>/dev/null ';'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README LICENSE.fedora
%doc eg
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.02-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.02-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 14 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.02-1
- New upstream (0.02)
- Licensing terms clarified: Artistic 2.0

* Fri Feb 08 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.01-7
- rebuild for new perl

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-6
- Fixes BR for perl(Tree::DAG_Node)

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-5
- Add BR: perl(SVG), perl(Tree::DAG_Node) and versions

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-4
- Add BR: perl(Statistics::Descriptive).
- Add "eg" subdirectory as documentation.

* Fri Apr 06 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-3
- Added e-mail confirmation for license in package.

* Fri Apr 06 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-2
- Updated license.
- Add BR: perl(ExtUtils::MakeMaker)

* Fri Mar 23 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-1
- Specfile autogenerated by cpanspec 1.69.1.
